Add tracked accounts
POST
/accounts
const url = 'https://api.warmup.social/accounts';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"accounts":[{"value":"@chillax_nails","role":"own","label":"example","groupName":"example","notes":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.warmup.social/accounts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "accounts": [ { "value": "@chillax_nails", "role": "own", "label": "example", "groupName": "example", "notes": "example" } ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
accounts
required
Array<object>
object
value
required
string
Example
@chillax_nailsrole
required
string
label
string
groupName
string
notes
string
Responses
Section titled “Responses”Accounts created or linked to the user, without duplicates.
Media typeapplication/json
object
accounts
required
Array<object>
object
platform
required
string
username
required
string
displayName
required
string
avatarUrl
required
string
biography
required
string
bioLinks
required
Array<object>
object
title
required
string
url
required
string
latestFollowers
required
integer
followersApproximate
True for Facebook — the network rounds follower counts. Absent for other networks.
boolean
latestFollowing
required
integer
latestPostsCount
required
integer
isVerified
required
boolean
lastPostAt
required
string format: date-time
role
required
string
label
required
string
status
required
string
statusReason
required
string
Example
{ "accounts": [ { "platform": "instagram", "username": "chillax_nails", "role": "own", "status": "pending" } ]}Invalid request.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}The Bearer token is missing or invalid.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}